All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
entry_proxy.hpp File Reference

A proxy class for entries in a vector. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/scalar.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::entry_proxy< SCALARTYPE >
| A proxy class for a single element of a vector or matrix. This proxy should not be noticed by end-users of the library. More...
class | viennacl::const_entry_proxy< SCALARTYPE >
| A proxy class for a single element of a vector or matrix. This proxy should not be noticed by end-users of the library. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.

## Detailed Description

A proxy class for entries in a vector.

Definition in file entry_proxy.hpp.